Summary: Image display, conversion, and manipulation under X
Name: ImageMagick
Version: 5.3.6
Release: 1
Group: X11/Applications/Graphics
Copyright: Freeware
URL: http://www.imagemagick.org/
Packager: Hao Li <hli@haoli.org>
Source: ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
ImageMagick is an image display, conversion, and manipulation tool.
It runs under X windows.  It is very powerful in terms of it's 
ability to allow the user to edit images.  It can handle many 
different formats as well.


%package devel
Summary: static libraries and header files for ImageMagick development
Group: X11/Libraries
Requires: %{name} = %{version}

%description devel
This is the ImageMagick development package.  It includes the static
libraries and header files for use in developing your own applications
that make use of the ImageMagick code and/or APIs.


%package perl
Summary: libraries and modules for access to ImageMagick from perl
Group: Development/Libraries/Perl
Requires: %{name} = %{version}, perl
Obsoletes: PerlMagick

%description perl
This is the ImageMagick perl support package. It includes perl modules and
support files for access to ImageMagick library from perl.


#%package  Magick++
#Summary:  object-oriented C++ API to the ImageMagick library
#Group:    X11/Libraries
#Requires: %{name} = %{version}
#
#%description Magick++
#This is the Magick++ package, the object-oriented C++ API to the ImageMagick
#image-processing library.


%prep
%setup -q
for i in `find PerlMagick -type f`; do
	fgrep -qs /usr/local/bin/perl $i && \
	perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' $i
done


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
LDFLAGS=-L$PWD/magick/.libs ./configure \
	--prefix=/usr \
	--enable-shared \
	--disable-static \
	--with-modules \
	--with-frozenpaths=no \
	--enable-lzw
make

# I don't know why the author keeps fucking with PerlMagick. I finally
# gave up fixing it and decide to build and install it by hand myself.
perl -pi -e 's|^install-exec-local:.*|install-exec-local:|' Makefile
cd PerlMagick
perl Makefile.PL
make
cd ..


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT pkgdocdir=rpm_doc

# Manually install PerlMagick
make -C PerlMagick install PREFIX=$RPM_BUILD_ROOT/usr
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`

# For %doc section
ln -sf ImageMagick.html rpm_doc/index.html


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

#%post    Magick++ -p /sbin/ldconfig
#%postun  Magick++ -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc rpm_doc/*
/usr/bin/*
/usr/lib/ImageMagick
/usr/lib/libMagick.so.*
/usr/man/man*/*
/usr/share/ImageMagick

%files devel
%defattr(-,root,root)
/usr/include/magick
/usr/lib/libMagick.*a
/usr/lib/libMagick.so

%files perl
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/i386-linux/Image
/usr/lib/perl5/site_perl/*/i386-linux/auto/Image
/usr/share/man/man*/*

#%files Magick++
#%defattr(-,root,root)
#/usr/include/Magick++.h
#/usr/include/Magick++
#/usr/lib/libMagick++.*


%clean
rm -rf $RPM_BUILD_ROOT

